package speechNlu

const (
	//腾讯返回listItems为空时的兜底话术
	//eply_when_request_tencent_error = ""    //腾讯接口异常时
	reply_when_control_nonresponse = "当前网络不稳定，请稍后再试吧"
	alarm_remind_common            = "时间到了，记得"
	unisound_request_error         = "unisound_request: "
	tencent_response_error         = "tencent_response: "
	gree_nlu_err                   = "gree_nlu: "
	tencent_nlu_err                = "tencent_nlu: "
	datetimeLayout                 = "2006-01-02 15:04:05"
	dateLayout                     = "2006-01-02"
	//speech_type = "0" //终端闹钟提醒方式
	chatDomainStr = "chat" //chat other
)

const (
	errorLogfile   = "logfile/ctoc/error/unisoundCtoC_Errorlogfile_"
	tencentLogFile = "logfile/ctoc/tencentnlu/tencentnlu_ctoc_logfile_"
)

const (
	onlyTTS        = "0"
	onlyRing       = "1"
	Mixed          = "2"
	defaultRing    = "3"
	timeoutCount   = 10  //设置两小时内的超时总数量
	timeoutTime    = 3   //设置接口三秒超时
	timeoutPercent = 0.1 //设置超时请求数比例阈值 10%
)

const (
	alarm     = "0"
	remind    = "1"
	countdown = "2"
)

const (
	once         = "1"
	everyDay     = "2"
	everyWeek    = "3"
	everyMonth   = "4"
	everyWorkDay = "5"
	holiday      = "6"
)

const (
	//devDB = "de_records_ctocst"  //空调聊天记录数据表
	devDB = "de_ctoclog_st"
	//devDB = "de_records"
	asDB              = "as_records"         //语音助手聊条记录数据表
	arDB              = "alarm_remind"       //闹钟数据表
	notsupportTB      = "greenlu_notsupport" //格力NLU不支持的语句
	errorLog          = "ctoc_errorlog"
	greenlu_semantic  = "ctoc_greenlu_semantic"
	tencent_senmantic = "ctoc_tencent_semantic_log"
	control_semantic  = "ctoc_control_semantic"
	skillUseDB        = "ctoc_skill_user_like"
	homeinfoDB        = "de_homeinfo_conn"
	ctoc_req_ala      = "ctoc_req_ala"
)

// 腾讯技能的Domain
const (
	WEATHER  = "天气"
	JOKE     = "笑话"
	CHAT     = "闲聊全库"
	CALENDAR = "日历"

	NEWS        = "新闻"
	ANCIENTPOEM = "诗词"
	SPORTS      = "sports"
	ASTRO       = "星座"
	STOCK       = "stock"
	TRANSLATE   = "翻译大全"
	ALARM       = "提醒"
	SCIENCE     = "计算器"
	CHENGYU     = "成语"
	BAIKE       = "百科"
	FM          = "国学"
	CHILDMUSIC  = "儿歌"
	GLOBALCTRL  = "中控"
	PlayCTRL    = "播放控制"
	MUSIC       = "音乐"
	HELP        = "产品形象"
	STORY       = "故事"
	FINANCE     = "汇率"
	CONVERT     = "单位换算"
	HOLIDAY     = "节假日查询"
	//SLEEPMUSIC   = "声音博物馆"
	RELATION      = "亲戚关系计算"
	WASTESORTING  = "垃圾分类"
	FOOD          = "食物营养查询"
	ASTRO_FORTUNE = "星座运势"

	SOUND   = "sound"
	ALMANAC = "almanac"

	GENERALQA = "general_question_answering"
	COMMONQA  = "common_qa"

	RECIPE  = "recipe"
	HISTORY = "history"

	GEOGRAPHY = "geography"

	REMINDERV2   = "reminder_v2"
	XIAOLIAO     = "xianliao-1073423540231241728"
	CITYINFO     = "cityinfo"
	WORLDRECORDS = "world_records"
	HTWHYS       = "htwhys"
	DISEASE      = "disease"
	GARBAGECLASS = "garbage_class"
	YIQINGWENDA  = "yiqingwenda-1223872807159873536"

	INVENTIONQAPAIRS    = "invention_qa_pairs"
	PLANTS_KBQA         = "plants_kbqa"
	MEDIACTRL           = "mediactrl3"
	DEFAULT             = "default"
	VOLUMECTRL3         = "volumectrl3"
	SCREENCONTROL       = "screen_control"
	GLOBALCTRL3         = "globalctrl3"
	MCHAT               = "mchat"
	WORLDRECORDSQAPAIRS = "world_records_qa_pairs"

	LLM                                     = "llm"
	GEOGRAPHYKBQA                           = "geography_kbqa"
	GENERALQUESTIONANSWERING                = "general_question_answering"
	HTWHYS_QA_PAIRS                         = "htwhys_qa_pairs"
	INVENTION_QA_PAIRS                      = "invention_qa_pairs"
	XIANLIAO                                = "xianliao"
	MUSIC_YUE                               = "music_yue"
	WEATHER_YUE                             = "weather_yue"
	JOKE_YUE                                = "joke_yue"
	NEWS_YUE                                = "news_yue"
	FM_YUE                                  = "fm_yue"
	TRANSLATE_YUE                           = "translate_yue"
	SCIENCE_YUE                             = "science_yue"
	SPORTS_YUE                              = "sports_yue"
	ASTRO_YUE                               = "astro_yue"
	HOLIDAY_YUE                             = "holiday_yue"
	STOCK_YUE                               = "stock_yue"
	HELP_YUE                                = "help_yue"
	ANCIENT_POEM_YUE                        = "ancient_poem_yue"
	CHENGYU_YUE                             = "chengyu_yue"
	ALARM_YUE                               = "alarm_yue"
	REMINDER_V2_YUE                         = "reminder_v2_yue"
	SOUND_YUE                               = "sound_yue"
	GLOBALCTRL3_YUE                         = "globalctrl3_yue"
	MEDIACTRL3_YUE                          = "mediactrl3_yue"
	VOLUMECTRL3_YUE                         = "volumectrl3_yue"
	ASTRONOMY_KBQA                          = "astronomy_kbqa"
	COMMON_QA_QA_PAIRS                      = "common_qa_qa_pairs"
	GLETKT_XLCJ_1245258905417052160         = "gletkt_xlcj-1245258905417052160"
	CESHI_1149914105856290816               = "ceshi-1149914105856290816"
	GELIYOUPINGKONGTIAO_1289106967398617088 = "geliyoupingkongtiao-1289106967398617088"
	JHDPBXZSWD_1364089899207012352          = "jhdpbxzswd-1364089899207012352"
	LXTEST_1697504067777118921              = "lxtest-1697504067777118921"
	LXTEST_1697504245166677379              = "lxtest-1697504245166677379"
	LCHAT_1736631343458063755               = "lchat-1736631343458063755"
)
